Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 573170

Summary: sys-devel/gcc-4.9.3-r999 can't compile on armv7a-hardened-musl
Product: Gentoo Linux Reporter: Michael Jones <gentoo>
Component: Current packagesAssignee: Gentoo musl team <musl>
Status: CONFIRMED ---    
Severity: normal CC: felix.janda, toast+misc
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 430702    
Attachments: gcc build log -- qemu-2.4
gcc-4.9.3-r999 config.log

Description Michael Jones 2016-01-28 02:05:32 UTC
Might be a dup of https://bugs.gentoo.org/show_bug.cgi?id=448590

armv7a-hardfp-hardened-musl ~ # SHELL=/bin/bash ebuild --skip-manifest /var/lib/layman/musl/sys-devel/gcc/gcc-4.9.3-r999.ebuild merge
>>> Existing ${T}/environment for 'gcc-4.9.3-r999' will be sourced. Run
>>> 'clean' to start with a fresh environment.
>>> Checking gcc-4.9.3.tar.bz2's mtime...
>>> Checking gcc-4.9.3-piepatches-v0.6.3.tar.bz2's mtime...
>>> Checking gcc-4.4.3-specs-0.2.0.tar.bz2's mtime...
>>> Checking gcc-4.9.3-uclibc-patches-1.0.tar.bz2's mtime...
>>> Checking ecj-4.5.jar's mtime...
>>> Checking gcc-4.9.3-patches-1.2.tar.bz2's mtime...
>>> WORKDIR is up-to-date, keeping...
>>> It appears that 'pretend' has already executed for 'gcc-4.9.3-r999'; skipping.
>>> Remove '/var/tmp/portage/sys-devel/gcc-4.9.3-r999/.pretended' to force pretend.
>>> It appears that 'setup' has already executed for 'gcc-4.9.3-r999'; skipping.
>>> Remove '/var/tmp/portage/sys-devel/gcc-4.9.3-r999/.setuped' to force setup.
>>> It appears that 'unpack' has already executed for 'gcc-4.9.3-r999'; skipping.
>>> Remove '/var/tmp/portage/sys-devel/gcc-4.9.3-r999/.unpacked' to force unpack.
>>> It appears that 'prepare' has already executed for 'gcc-4.9.3-r999'; skipping.
>>> Remove '/var/tmp/portage/sys-devel/gcc-4.9.3-r999/.prepared' to force prepare.
>>> Configuring source in /var/tmp/portage/sys-devel/gcc-4.9.3-r999/work/gcc-4.9.3 ...
 * CFLAGS="-O2 -pipe -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard"
 * CXXFLAGS="-O2 -pipe -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard"
 * LDFLAGS="-Wl,-O1 -Wl,--as-needed"

 * PREFIX:          /usr
 * BINPATH:         /usr/armv7a-hardfloat-linux-musleabi/gcc-bin/4.9.3
 * LIBPATH:         /usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3
 * DATAPATH:        /usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3
 * STDCXX_INCDIR:   /usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3/include/g++-v4

 * Languages:       c,c++,java,fortran

 * Configuring GCC with:
 *      --host=armv7a-hardfloat-linux-musleabi
 *      --build=armv7a-hardfloat-linux-musleabi
 *      --prefix=/usr
 *      --bindir=/usr/armv7a-hardfloat-linux-musleabi/gcc-bin/4.9.3
 *      --includedir=/usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3/include
 *      --datadir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3
 *      --mandir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/man
 *      --infodir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/info
 *      --with-gxx-include-dir=/usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3/include/g++-v4
 *      --with-python-dir=/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/python
 *      --enable-languages=c,c++,java,fortran
 *      --enable-obsolete
 *      --enable-secureplt
 *      --disable-werror
 *      --with-system-zlib
 *      --enable-nls
 *      --without-included-gettext
 *      --enable-checking=release
 *      --with-bugurl=https://bugs.gentoo.org/
 *      --with-pkgversion=Gentoo Hardened 4.9.3-r999 p1.2, pie-0.6.3
 *      --enable-esp
 *      --enable-libstdcxx-time
 *      --enable-shared
 *      --enable-threads=posix
 *      --disable-multilib
 *      --disable-altivec
 *      --disable-fixed-point
 *      --with-float=hard
 *      --with-arch=armv7-a
 *      --with-float=hard
 *      --with-fpu=vfpv3-d16
 *      --enable-libgomp
 *      --disable-libmudflap
 *      --disable-libssp
 *      --disable-libcilkrts
 *      --enable-lto
 *      --without-cloog
 *      --disable-libsanitizer

/var/tmp/portage/sys-devel/gcc-4.9.3-r999/work/gcc-4.9.3/configure --host=armv7a-hardfloat-linux-musleabi --build=armv7a-hardfloat-linux-musleabi --prefix=/usr --bindir=/usr/armv7a-hardfloat-linux-musleabi/gcc-bin/4.9.3 --includedir=/usr/l
ib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3/include --datadir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3 --mandir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/man --infodir=/usr/share/gcc-data/armv7a-hardfloat-
linux-musleabi/4.9.3/info --with-gxx-include-dir=/usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3/include/g++-v4 --with-python-dir=/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/python --enable-languages=c,c++,java,fortran --enabl
e-obsolete --enable-secureplt --disable-werror --with-system-zlib --enable-nls --without-included-gettext --enable-checking=release --with-bugurl=https://bugs.gentoo.org/ --with-pkgversion=Gentoo Hardened 4.9.3-r999 p1.2, pie-0.6.3 --enabl
e-esp --enable-libstdcxx-time --enable-shared --enable-threads=posix --disable-multilib --disable-altivec --disable-fixed-point --with-float=hard --with-arch=armv7-a --with-float=hard --with-fpu=vfpv3-d16 --enable-libgomp --disable-libmudf
lap --disable-libssp --disable-libcilkrts --enable-lto --without-cloog --disable-libsanitizer
checking build system type... armv7a-hardfloat-linux-musleabi
checking host system type... armv7a-hardfloat-linux-musleabi
checking target system type... armv7a-hardfloat-linux-musleabi
checking for a BSD-compatible install... /usr/lib/portage/python3.4/ebuild-helpers/xattr/install -c
checking whether ln works... yes
checking whether ln -s works... yes
checking for a sed that does not truncate output... /bin/sed
checking for gawk... gawk
checking for libatomic support... yes
checking for libitm support... yes
checking for libvtv support... no
checking for armv7a-hardfloat-linux-musleabi-gcc... armv7a-hardfloat-linux-musleabi-gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether armv7a-hardfloat-linux-musleabi-gcc accepts -g... yes
checking for armv7a-hardfloat-linux-musleabi-gcc option to accept ISO C89... none needed
checking for armv7a-hardfloat-linux-musleabi-g++... armv7a-hardfloat-linux-musleabi-g++
checking whether we are using the GNU C++ compiler... yes
checking whether armv7a-hardfloat-linux-musleabi-g++ accepts -g... yes
checking whether g++ accepts -static-libstdc++ -static-libgcc... yes
checking for armv7a-hardfloat-linux-musleabi-gnatbind... no
checking for gnatbind... no
checking for armv7a-hardfloat-linux-musleabi-gnatmake... no
checking for gnatmake... no
checking whether compiler driver understands Ada... no
checking how to compare bootstrapped objects... cmp --ignore-initial=16 $$f1 $$f2
checking for objdir... .libs
checking for the correct version of gmp.h... yes
checking for the correct version of mpfr.h... yes
checking for the correct version of mpc.h... yes
checking for the correct version of the gmp/mpfr/mpc libraries... yes
qemu: uncaught target signal 11 (Segmentation fault) - core dumped
/var/tmp/portage/sys-devel/gcc-4.9.3-r999/temp/environment: line 4502: 29739 Segmentation fault      CONFIG_SHELL="/bin/bash" bash "${S}"/configure "${confgcc[@]}"
 * ERROR: sys-devel/gcc-4.9.3-r999::musl failed (configure phase):
 *   failed to run configure
 *
 * Call stack:
 *     ebuild.sh, line  133:  Called src_configure
 *   environment, line 3719:  Called toolchain_src_configure
 *   environment, line 4813:  Called die
 * The specific snippet of code:
 *       CONFIG_SHELL="/bin/bash" bash "${S}"/configure "${confgcc[@]}" || die "failed to run configure";
 *
 * If you need support, post the output of `emerge --info '=sys-devel/gcc-4.9.3-r999::musl'`,
 * the complete build log and the output of `emerge -pqv '=sys-devel/gcc-4.9.3-r999::musl'`.
/bin/tar: build.log: Cannot stat: No such file or directory
/bin/tar: Exiting with failure status due to previous errors
/bin/rm: cannot remove ‘build.log’: No such file or directory
 *
 * Please include /var/tmp/portage/sys-devel/gcc-4.9.3-r999/work/gcc-build-logs.tar.bz2 in your bug report.
 *
 * The complete build log is located at '/var/tmp/portage/sys-devel/gcc-4.9.3-r999/temp/build.log.gz'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-devel/gcc-4.9.3-r999/temp/environment'.
 * Working directory: '/var/tmp/portage/sys-devel/gcc-4.9.3-r999/work/build'
 * S: '/var/tmp/portage/sys-devel/gcc-4.9.3-r999/work/gcc-4.9.3'

 * Messages for package sys-devel/gcc-4.9.3-r999:

 * ERROR: sys-devel/gcc-4.9.3-r999::musl failed (configure phase):
 *   failed to run configure
 *
 * Call stack:
 *     ebuild.sh, line  133:  Called src_configure
 *   environment, line 3719:  Called toolchain_src_configure
 *   environment, line 4813:  Called die
 * The specific snippet of code:
 *       CONFIG_SHELL="/bin/bash" bash "${S}"/configure "${confgcc[@]}" || die "failed to run configure";
 *
 * If you need support, post the output of `emerge --info '=sys-devel/gcc-4.9.3-r999::musl'`,
 * the complete build log and the output of `emerge -pqv '=sys-devel/gcc-4.9.3-r999::musl'`.
 *
 * Please include /var/tmp/portage/sys-devel/gcc-4.9.3-r999/work/gcc-build-logs.tar.bz2 in your bug report.
 *
 * The complete build log is located at '/var/tmp/portage/sys-devel/gcc-4.9.3-r999/temp/build.log.gz'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-devel/gcc-4.9.3-r999/temp/environment'.
 * Working directory: '/var/tmp/portage/sys-devel/gcc-4.9.3-r999/work/build'
 * S: '/var/tmp/portage/sys-devel/gcc-4.9.3-r999/work/gcc-4.9.3'


Reproducible: Always
Comment 1 Michael Jones 2016-01-28 02:08:20 UTC
Portage 2.2.26 (python 3.4.1-final-0, hardened/linux/musl/arm/armv7a, gcc-4.8.3, musl-1.1.12, 4.3.3-hardened-r4 armv7l)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.3.3-hardened-r4-armv7l-with-gentoo-2.2
KiB Mem:    41198476 total,  11652452 free
KiB Swap:   52428796 total,  52428796 free
Timestamp of repository gentoo: Wed, 27 Jan 2016 21:04:26 +0000
sh bash 4.3_p42-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p42-r1::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.10-r1::gentoo, 3.4.1::gentoo
dev-util/cmake:           3.3.1-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.19.1::gentoo
sys-apps/sandbox:         2.10-r99::musl
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.8.3-r99::hardened-development
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.16::gentoo (virtual/os-headers)
sys-libs/musl:            1.1.12::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo
    priority: -1000

musl
    location: /var/lib/layman/musl
    sync-type: git
    sync-uri: git://anongit.gentoo.org/proj/musl.git
    masters: gentoo

ACCEPT_KEYWORDS="arm"
ACCEPT_LICENSE="* -@EULA"
CBUILD="armv7a-hardfloat-linux-musleabi"
CFLAGS="-O2 -pipe -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard"
CHOST="armv7a-hardfloat-linux-musleabi"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard"
DISTDIR="/usr/portage-distfiles"
EMERGE_DEFAULT_OPTS=" --jobs --keep-going --newuse --deep --backtrack=3000 --complete-graph --with-bdeps=y"
FCFLAGS="-O2 -pipe -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard"
FEATURES="assume-digests binpkg-logs buildpkg clean-logs compress-build-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms split-elog split-log strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
INSTALL_MASK="charset.alias"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j30"
PKGDIR="/usr/portage-packages"
PORTAGE_COMPRESS="xz"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="a52 aac acpi alsa apng arm autoipd avahi bindist branding cairo cdda cdr cli cracklib crypt cxx dbus dconf dri dts dvd dvdr egl emboss encode exif fam ffmpeg firefox flac fortran gcj gd gif gnome-keyring gpm gstreamer gtk gudev hardened iconv icu ipv6 jpeg lcms libnotify libsecret lm_sensors mad mdnsresponder-compat minizip mng modules mp3 mp4 mpeg ncurses networkmanager nls nptl ogg opengl openmp pango pax_kernel pcre pdf pic png policykit ppds pulseaudio python qt4 qt5 readline samba sdl seccomp session sound spell sqlite ssl startup-notification svg tcpd theora threads tiff truetype udev udisks unicode upower usb vorbis wayland wifi xattr xcb xinerama xml xv xvid zeroconf zlib" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="musl" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="coreboot efi-32 efi-64 emu qemu pc" INPUT_DEVICES="evdev mouse keyboard" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_US" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" QEMU_SOFTMMU_TARGETS="arm aarch64 i386 x86_64" QEMU_USER_TARGETS="arm aarch64 i386 x86_64" RUBY_TARGETS="ruby20 ruby21 ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="vesa modesetting fbdev" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 2 SpanKY gentoo-dev 2016-01-28 05:28:24 UTC
-r999 ebuilds aren't from the toolchain team
Comment 3 Anthony Basile gentoo-dev 2016-01-28 05:40:19 UTC
(In reply to Michael Jones from comment #0)

> checking for the correct version of mpc.h... yes
> checking for the correct version of the gmp/mpfr/mpc libraries... yes
> qemu: uncaught target signal 11 (Segmentation fault) - core dumped
> /var/tmp/portage/sys-devel/gcc-4.9.3-r999/temp/environment: line 4502: 29739
> Segmentation fault      CONFIG_SHELL="/bin/bash" bash "${S}"/configure
> "${confgcc[@]}"

This looks like a bug in qemu.  I'm going to be testing the new patchset introduced in response to bug #448590 on native hardware.
Comment 4 Michael Jones 2016-01-28 05:50:53 UTC
Entirely possible that this is a QEMU bug.

For reference, I was using the recently stabilized qemu-2.5. If you think it would help, I can try other versions.
Comment 5 Felix Janda 2016-01-29 18:13:26 UTC
Yes, it would be interesting to see if the segfault also occurs with
the previous qemu version. Does it also occur with gcc-4.9.3-r99 or
with the gcc from the main tree (or by running configure from the
vanilla gcc tarball)?
Comment 6 Michael Jones 2016-01-29 21:09:05 UTC
qemu 2.5

armv7a-hardfp-hardened-musl ~ # SHELL=/bin/bash ebuild --skip-manifest /var/lib/layman/musl/sys-devel/gcc/gcc-4.9.3-r99.ebuild merge
>>> Unpacking source...
>>> Unpacking gcc-4.9.3.tar.bz2 to /var/tmp/portage/sys-devel/gcc-4.9.3-r99/work
>>> Unpacking gcc-4.9.3-patches-1.2.tar.bz2 to /var/tmp/portage/sys-devel/gcc-4.9.3-r99/work
>>> Unpacking gcc-4.9.3-uclibc-patches-1.0.tar.bz2 to /var/tmp/portage/sys-devel/gcc-4.9.3-r99/work
>>> Unpacking gcc-4.9.3-piepatches-v0.6.3.tar.bz2 to /var/tmp/portage/sys-devel/gcc-4.9.3-r99/work
>>> Unpacking gcc-4.4.3-specs-0.2.0.tar.bz2 to /var/tmp/portage/sys-devel/gcc-4.9.3-r99/work
>>> Source unpacked in /var/tmp/portage/sys-devel/gcc-4.9.3-r99/work
>>> Preparing source in /var/tmp/portage/sys-devel/gcc-4.9.3-r99/work/gcc-4.9.3 ...
 * Applying Gentoo patches ...
****SNIP******                                                                                   [ ok ]
 * Done with patching
 * Updating gcc to use automatic PIE + SSP building ...
 * Copying ecj-4.5.jar
 * Running elibtoolize in: gcc-4.9.3/
 *   Applying portage/2.2 patch ...
 *   Applying sed/1.5.6 patch ...
 *   Applying as-needed/2.2.6 patch ...
 * Using GNU config files from /usr/share/gnuconfig
 *   Updating libjava/classpath/config.sub                                                                                   [ ok ]
 *   Updating libjava/libltdl/config.sub                                                                                     [ ok ]
 *   Updating config.sub                                                                                                     [ ok ]
 *   Updating config.guess                                                                                                   [ ok ]
 *   Updating libjava/classpath/config.guess                                                                                 [ ok ]
 *   Updating libjava/libltdl/config.guess                                                                                   [ ok ]
 * Fixing misc issues in configure files
 * Applying gcc-configure-texinfo.patch ...                                                                                  [ ok ]
 * Touching generated files
 *   Touching gcc/cstamp-h.in
 *   Touching gcc/config.in
 *   Touching libitm/aclocal.m4
 *   Touching libitm/Makefile.in
 *   Touching libitm/testsuite/Makefile.in
 *   Touching libitm/configure
 *   Touching libitm/config.h.in
 *   Touching libatomic/aclocal.m4
 *   Touching libatomic/Makefile.in
 *   Touching libatomic/testsuite/Makefile.in
 *   Touching libatomic/configure
 *   Touching libatomic/auto-config.h.in
 * Applying gcc-4.9.3-musl-linker-path.patch ...                                                                             [ ok ]
 * Applying gcc-4.9.3-secure-plt.patch ...                                                                                   [ ok ]
 * Applying gcc-4.9.3-musl-res_state.patch ...                                                                               [ ok ]
 * Applying gcc-4.8.3-musl-fix-libc5-assumption.patch ...                                                                    [ ok ]
 * Applying gcc-4.8.5-posix_memalign.patch ...                                                                               [ ok ]
 * Applying gcc-spec-env-r1.patch ...                                                                                        [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/sys-devel/gcc-4.9.3-r99/work/gcc-4.9.3 ...
 * CFLAGS="-O2 -pipe -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard"
 * CXXFLAGS="-O2 -pipe -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard"
 * LDFLAGS="-Wl,-O1 -Wl,--as-needed"

 * PREFIX:          /usr
 * BINPATH:         /usr/armv7a-hardfloat-linux-musleabi/gcc-bin/4.9.3
 * LIBPATH:         /usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3
 * DATAPATH:        /usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3
 * STDCXX_INCDIR:   /usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3/include/g++-v4

 * Languages:       c,c++,java,fortran

 * Configuring GCC with:
 *      --host=armv7a-hardfloat-linux-musleabi
 *      --build=armv7a-hardfloat-linux-musleabi
 *      --prefix=/usr
 *      --bindir=/usr/armv7a-hardfloat-linux-musleabi/gcc-bin/4.9.3
 *      --includedir=/usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3/include
 *      --datadir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3
 *      --mandir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/man
 *      --infodir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/info
 *      --with-gxx-include-dir=/usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3/include/g++-v4
 *      --with-python-dir=/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/python
 *      --enable-languages=c,c++,java,fortran
 *      --enable-obsolete
 *      --enable-secureplt
 *      --disable-werror
 *      --with-system-zlib
 *      --enable-nls
 *      --without-included-gettext
 *      --enable-checking=release
 *      --with-bugurl=https://bugs.gentoo.org/
 *      --with-pkgversion=Gentoo Hardened 4.9.3-r99 p1.2, pie-0.6.3
 *      --enable-esp
 *      --enable-libstdcxx-time
 *      --enable-shared
 *      --enable-threads=posix
 *      --disable-multilib
 *      --disable-altivec
 *      --disable-fixed-point
 *      --with-float=hard
 *      --with-arch=armv7-a
 *      --with-float=hard
 *      --with-fpu=vfpv3-d16
 *      --enable-libgomp
 *      --disable-libmudflap
 *      --disable-libssp
 *      --disable-libcilkrts
 *      --enable-lto
 *      --without-cloog
 *      --disable-libsanitizer

/var/tmp/portage/sys-devel/gcc-4.9.3-r99/work/gcc-4.9.3/configure --host=armv7a-hardfloat-linux-musleabi --build=armv7a-hardfloat-linux-musleabi --prefix=/usr --bindir=/usr/armv7a-hardfloat-linux-musleabi/gcc-bin/4.9.3 --includedir=/usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3/include --datadir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3 --mandir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/man --infodir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/info --with-gxx-include-dir=/usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3/include/g++-v4 --with-python-dir=/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/python --enable-languages=c,c++,java,fortran --enable-obsolete --enable-secureplt --disable-werror --with-system-zlib --enable-nls --without-included-gettext --enable-checking=release --with-bugurl=https://bugs.gentoo.org/ --with-pkgversion=Gentoo Hardened 4.9.3-r99 p1.2, pie-0.6.3 --enable-esp --enable-libstdcxx-time --enable-shared --enable-threads=posix --disable-multilib --disable-altivec --disable-fixed-point --with-float=hard --with-arch=armv7-a --with-float=hard --with-fpu=vfpv3-d16 --enable-libgomp --disable-libmudflap --disable-libssp --disable-libcilkrts --enable-lto --without-cloog --disable-libsanitizer
checking build system type... armv7a-hardfloat-linux-musleabi
checking host system type... armv7a-hardfloat-linux-musleabi
checking target system type... armv7a-hardfloat-linux-musleabi
checking for a BSD-compatible install... /usr/lib/portage/python3.4/ebuild-helpers/xattr/install -c
checking whether ln works... yes
checking whether ln -s works... yes
checking for a sed that does not truncate output... /bin/sed
checking for gawk... gawk
checking for libatomic support... yes
checking for libitm support... yes
checking for libvtv support... no
checking for armv7a-hardfloat-linux-musleabi-gcc... armv7a-hardfloat-linux-musleabi-gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether armv7a-hardfloat-linux-musleabi-gcc accepts -g... yes
checking for armv7a-hardfloat-linux-musleabi-gcc option to accept ISO C89... none needed
checking for armv7a-hardfloat-linux-musleabi-g++... armv7a-hardfloat-linux-musleabi-g++
checking whether we are using the GNU C++ compiler... yes
checking whether armv7a-hardfloat-linux-musleabi-g++ accepts -g... yes
checking whether g++ accepts -static-libstdc++ -static-libgcc... yes
checking for armv7a-hardfloat-linux-musleabi-gnatbind... no
checking for gnatbind... no
checking for armv7a-hardfloat-linux-musleabi-gnatmake... no
checking for gnatmake... no
checking whether compiler driver understands Ada... no
checking how to compare bootstrapped objects... cmp --ignore-initial=16 $$f1 $$f2
checking for objdir... .libs
checking for the correct version of gmp.h... yes
checking for the correct version of mpfr.h... yes
checking for the correct version of mpc.h... yes
checking for the correct version of the gmp/mpfr/mpc libraries... yes
qemu: uncaught target signal 11 (Segmentation fault) - core dumped
/var/tmp/portage/sys-devel/gcc-4.9.3-r99/temp/environment: line 4507:  7177 Segmentation fault      CONFIG_SHELL="/bin/bash" bash "${S}"/configure "${confgcc[@]}"
 * ERROR: sys-devel/gcc-4.9.3-r99::musl failed (configure phase):
 *   failed to run configure
 *
 * Call stack:
 *     ebuild.sh, line  133:  Called src_configure
 *   environment, line 3719:  Called toolchain_src_configure
 *   environment, line 4818:  Called die
 * The specific snippet of code:
 *       CONFIG_SHELL="/bin/bash" bash "${S}"/configure "${confgcc[@]}" || die "failed to run configure";
 *
 * If you need support, post the output of `emerge --info '=sys-devel/gcc-4.9.3-r99::musl'`,
 * the complete build log and the output of `emerge -pqv '=sys-devel/gcc-4.9.3-r99::musl'`.
/bin/tar: build.log: Cannot stat: No such file or directory
/bin/tar: Exiting with failure status due to previous errors
/bin/rm: cannot remove ‘build.log’: No such file or directory
 *
 * Please include /var/tmp/portage/sys-devel/gcc-4.9.3-r99/work/gcc-build-logs.tar.bz2 in your bug report.
 *
 * The complete build log is located at '/var/tmp/portage/sys-devel/gcc-4.9.3-r99/temp/build.log.gz'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-devel/gcc-4.9.3-r99/temp/environment'.
 * Working directory: '/var/tmp/portage/sys-devel/gcc-4.9.3-r99/work/build'
 * S: '/var/tmp/portage/sys-devel/gcc-4.9.3-r99/work/gcc-4.9.3'

 * Messages for package sys-devel/gcc-4.9.3-r99:

 * ERROR: sys-devel/gcc-4.9.3-r99::musl failed (configure phase):
 *   failed to run configure
 *
 * Call stack:
 *     ebuild.sh, line  133:  Called src_configure
 *   environment, line 3719:  Called toolchain_src_configure
 *   environment, line 4818:  Called die
 * The specific snippet of code:
 *       CONFIG_SHELL="/bin/bash" bash "${S}"/configure "${confgcc[@]}" || die "failed to run configure";
 *
 * If you need support, post the output of `emerge --info '=sys-devel/gcc-4.9.3-r99::musl'`,
 * the complete build log and the output of `emerge -pqv '=sys-devel/gcc-4.9.3-r99::musl'`.
 *
 * Please include /var/tmp/portage/sys-devel/gcc-4.9.3-r99/work/gcc-build-logs.tar.bz2 in your bug report.
 *
 * The complete build log is located at '/var/tmp/portage/sys-devel/gcc-4.9.3-r99/temp/build.log.gz'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-devel/gcc-4.9.3-r99/temp/environment'.
 * Working directory: '/var/tmp/portage/sys-devel/gcc-4.9.3-r99/work/build'
 * S: '/var/tmp/portage/sys-devel/gcc-4.9.3-r99/work/gcc-4.9.3'
Comment 7 Michael Jones 2016-01-29 21:40:03 UTC
Still qemu 2.5

armv7a-hardfp-hardened-musl ~ # ebuild --skip-manifest /usr/portage/sys-devel/gcc/gcc-4.9.3.ebuild merge
>>> Downloading 'http://distfiles.gentoo.org/distfiles/gcc-4.9.3-patches-1.5.tar.bz2'

 * Your arm arch is not supported.
 * Hope you know what you are doing. Hardened will not work.
>>> Unpacking source...
>>> Unpacking gcc-4.9.3.tar.bz2 to /var/tmp/portage/sys-devel/gcc-4.9.3/work
>>> Unpacking gcc-4.9.3-patches-1.5.tar.bz2 to /var/tmp/portage/sys-devel/gcc-4.9.3/work
>>> Unpacking gcc-4.9.3-uclibc-patches-1.0.tar.bz2 to /var/tmp/portage/sys-devel/gcc-4.9.3/work
>>> Unpacking gcc-4.9.3-piepatches-v0.6.4.tar.bz2 to /var/tmp/portage/sys-devel/gcc-4.9.3/work
>>> Unpacking gcc-4.4.3-specs-0.2.0.tar.bz2 to /var/tmp/portage/sys-devel/gcc-4.9.3/work
>>> Source unpacked in /var/tmp/portage/sys-devel/gcc-4.9.3/work
>>> Preparing source in /var/tmp/portage/sys-devel/gcc-4.9.3/work/gcc-4.9.3 ...
 * Applying Gentoo patches ...
******SNIP*******                                                                                    [ ok ]
 * Done with patching
 * Updating gcc to use automatic PIE building ...
 * SSP has not been enabled by default
 * Copying ecj-4.5.jar
 * Running elibtoolize in: gcc-4.9.3/
 *   Applying portage/2.2 patch ...
 *   Applying sed/1.5.6 patch ...
 *   Applying as-needed/2.2.6 patch ...
 * Using GNU config files from /usr/share/gnuconfig
 *   Updating libjava/classpath/config.sub                                                                                   [ ok ]
 *   Updating libjava/libltdl/config.sub                                                                                     [ ok ]
 *   Updating config.sub                                                                                                     [ ok ]
 *   Updating config.guess                                                                                                   [ ok ]
 *   Updating libjava/classpath/config.guess                                                                                 [ ok ]
 *   Updating libjava/libltdl/config.guess                                                                                   [ ok ]
 * Fixing misc issues in configure files
 * Applying gcc-configure-texinfo.patch ...                                                                                  [ ok ]
 * Touching generated files
 *   Touching gcc/cstamp-h.in
 *   Touching gcc/config.in
 *   Touching libitm/aclocal.m4
 *   Touching libitm/Makefile.in
 *   Touching libitm/testsuite/Makefile.in
 *   Touching libitm/configure
 *   Touching libitm/config.h.in
 *   Touching libatomic/aclocal.m4
 *   Touching libatomic/Makefile.in
 *   Touching libatomic/testsuite/Makefile.in
 *   Touching libatomic/configure
 *   Touching libatomic/auto-config.h.in
 * Applying gcc-spec-env-r1.patch ...                                                                                        [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/sys-devel/gcc-4.9.3/work/gcc-4.9.3 ...
 * CFLAGS="-O2 -pipe -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard"
 * CXXFLAGS="-O2 -pipe -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard"
 * LDFLAGS="-Wl,-O1 -Wl,--as-needed"
 * Your arm arch is not supported.
 * Hope you know what you are doing. Hardened will not work.

 * PREFIX:          /usr
 * BINPATH:         /usr/armv7a-hardfloat-linux-musleabi/gcc-bin/4.9.3
 * LIBPATH:         /usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3
 * DATAPATH:        /usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3
 * STDCXX_INCDIR:   /usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3/include/g++-v4

 * Languages:       c,c++,java,fortran

 * Configuring GCC with:
 *      --host=armv7a-hardfloat-linux-musleabi
 *      --build=armv7a-hardfloat-linux-musleabi
 *      --prefix=/usr
 *      --bindir=/usr/armv7a-hardfloat-linux-musleabi/gcc-bin/4.9.3
 *      --includedir=/usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3/include
 *      --datadir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3
 *      --mandir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/man
 *      --infodir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/info
 *      --with-gxx-include-dir=/usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3/include/g++-v4
 *      --with-python-dir=/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/python
 *      --enable-languages=c,c++,java,fortran
 *      --enable-obsolete
 *      --enable-secureplt
 *      --disable-werror
 *      --with-system-zlib
 *      --enable-nls
 *      --without-included-gettext
 *      --enable-checking=release
 *      --with-bugurl=https://bugs.gentoo.org/
 *      --with-pkgversion=Gentoo Hardened 4.9.3 p1.5, pie-0.6.4
 *      --enable-esp
 *      --enable-libstdcxx-time
 *      --enable-shared
 *      --enable-threads=posix
 *      --disable-multilib
 *      --disable-altivec
 *      --disable-fixed-point
 *      --with-float=hard
 *      --with-arch=armv7-a
 *      --with-float=hard
 *      --with-fpu=vfpv3-d16
 *      --enable-libgomp
 *      --disable-libmudflap
 *      --disable-libssp
 *      --disable-libcilkrts
 *      --enable-lto
 *      --without-cloog
 *      --disable-libsanitizer

/var/tmp/portage/sys-devel/gcc-4.9.3/work/gcc-4.9.3/configure --host=armv7a-hardfloat-linux-musleabi --build=armv7a-hardfloat-linux-musleabi --prefix=/usr --bindir=/usr/armv7a-hardfloat-linux-musleabi/gcc-bin/4.9.3 --includedir=/usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3/include --datadir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3 --mandir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/man --infodir=/usr/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/info --with-gxx-include-dir=/usr/lib/gcc/armv7a-hardfloat-linux-musleabi/4.9.3/include/g++-v4 --with-python-dir=/share/gcc-data/armv7a-hardfloat-linux-musleabi/4.9.3/python --enable-languages=c,c++,java,fortran --enable-obsolete --enable-secureplt --disable-werror --with-system-zlib --enable-nls --without-included-gettext --enable-checking=release --with-bugurl=https://bugs.gentoo.org/ --with-pkgversion=Gentoo Hardened 4.9.3 p1.5, pie-0.6.4 --enable-esp --enable-libstdcxx-time --enable-shared --enable-threads=posix --disable-multilib --disable-altivec --disable-fixed-point --with-float=hard --with-arch=armv7-a --with-float=hard --with-fpu=vfpv3-d16 --enable-libgomp --disable-libmudflap --disable-libssp --disable-libcilkrts --enable-lto --without-cloog --disable-libsanitizer
checking build system type... armv7a-hardfloat-linux-musleabi
checking host system type... armv7a-hardfloat-linux-musleabi
checking target system type... armv7a-hardfloat-linux-musleabi
checking for a BSD-compatible install... /usr/lib/portage/python3.4/ebuild-helpers/xattr/install -c
checking whether ln works... yes
checking whether ln -s works... yes
checking for a sed that does not truncate output... /bin/sed
checking for gawk... gawk
checking for libatomic support... yes
checking for libitm support... yes
checking for libvtv support... no
checking for armv7a-hardfloat-linux-musleabi-gcc... armv7a-hardfloat-linux-musleabi-gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether armv7a-hardfloat-linux-musleabi-gcc accepts -g... yes
checking for armv7a-hardfloat-linux-musleabi-gcc option to accept ISO C89... none needed
checking for armv7a-hardfloat-linux-musleabi-g++... armv7a-hardfloat-linux-musleabi-g++
checking whether we are using the GNU C++ compiler... yes
checking whether armv7a-hardfloat-linux-musleabi-g++ accepts -g... yes
checking whether g++ accepts -static-libstdc++ -static-libgcc... yes
checking for armv7a-hardfloat-linux-musleabi-gnatbind... no
checking for gnatbind... no
checking for armv7a-hardfloat-linux-musleabi-gnatmake... no
checking for gnatmake... no
checking whether compiler driver understands Ada... no
checking how to compare bootstrapped objects... cmp --ignore-initial=16 $$f1 $$f2
checking for objdir... .libs
checking for the correct version of gmp.h... yes
checking for the correct version of mpfr.h... yes
checking for the correct version of mpc.h... yes
checking for the correct version of the gmp/mpfr/mpc libraries... yes
qemu: uncaught target signal 11 (Segmentation fault) - core dumped
/var/tmp/portage/sys-devel/gcc-4.9.3/temp/environment: line 4490: 15984 Segmentation fault      CONFIG_SHELL="/bin/bash" bash "${S}"/configure "${confgcc[@]}"
 * ERROR: sys-devel/gcc-4.9.3::gentoo failed (configure phase):
 *   failed to run configure
 *
 * Call stack:
 *     ebuild.sh, line  133:  Called src_configure
 *   environment, line 3716:  Called toolchain_src_configure
 *   environment, line 4803:  Called die
 * The specific snippet of code:
 *       CONFIG_SHELL="/bin/bash" bash "${S}"/configure "${confgcc[@]}" || die "failed to run configure";
 *
 * If you need support, post the output of `emerge --info '=sys-devel/gcc-4.9.3::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=sys-devel/gcc-4.9.3::gentoo'`.
/bin/tar: build.log: Cannot stat: No such file or directory
/bin/tar: Exiting with failure status due to previous errors
/bin/rm: cannot remove ‘build.log’: No such file or directory
 *
 * Please include /var/tmp/portage/sys-devel/gcc-4.9.3/work/gcc-build-logs.tar.bz2 in your bug report.
 *
 * The complete build log is located at '/var/tmp/portage/sys-devel/gcc-4.9.3/temp/build.log.gz'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-devel/gcc-4.9.3/temp/environment'.
 * Working directory: '/var/tmp/portage/sys-devel/gcc-4.9.3/work/build'
 * S: '/var/tmp/portage/sys-devel/gcc-4.9.3/work/gcc-4.9.3'

 * Messages for package sys-devel/gcc-4.9.3:

 * Your arm arch is not supported.
 * Hope you know what you are doing. Hardened will not work.
 * SSP has not been enabled by default
 * Your arm arch is not supported.
 * Hope you know what you are doing. Hardened will not work.
 * ERROR: sys-devel/gcc-4.9.3::gentoo failed (configure phase):
 *   failed to run configure
 *
 * Call stack:
 *     ebuild.sh, line  133:  Called src_configure
 *   environment, line 3716:  Called toolchain_src_configure
 *   environment, line 4803:  Called die
 * The specific snippet of code:
 *       CONFIG_SHELL="/bin/bash" bash "${S}"/configure "${confgcc[@]}" || die "failed to run configure";
 *
 * If you need support, post the output of `emerge --info '=sys-devel/gcc-4.9.3::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=sys-devel/gcc-4.9.3::gentoo'`.
 *
 * Please include /var/tmp/portage/sys-devel/gcc-4.9.3/work/gcc-build-logs.tar.bz2 in your bug report.
 *
 * The complete build log is located at '/var/tmp/portage/sys-devel/gcc-4.9.3/temp/build.log.gz'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-devel/gcc-4.9.3/temp/environment'.
 * Working directory: '/var/tmp/portage/sys-devel/gcc-4.9.3/work/build'
 * S: '/var/tmp/portage/sys-devel/gcc-4.9.3/work/gcc-4.9.3'
armv7a-hardfp-hardened-musl ~ #
Comment 8 Michael Jones 2016-01-29 21:40:36 UTC
I'm a bit strapped for time today, so I'll have to do older qemu versions later. Perhaps on Monday, give or take.
Comment 9 Michael Jones 2016-01-29 21:44:23 UTC
Would there be any reason to suspect that other parts of this environment are borked?

The whole system was done inside of qemu, but due to musl being under development, I've always had trouble getting things to compile (as evidenced by my bug history).

Perhaps I need to start this environment from scratch?
Comment 10 Felix Janda 2016-01-30 07:52:26 UTC
Thanks for testing!

It is likely a bug in the qemu userspace emulation. Testing another
version of qemu would be useful for finding out whether it is a
regression.

It would be good to know what is exactly segfaulting. Take the gcc
tarball and run 'sh -v ./configure' in it. This will be very verbose,
but the tail should tell us what has segfaulted (assuming that there
still is a segfault.)
Comment 11 Michael Jones 2016-02-01 07:04:03 UTC
Created attachment 424388 [details]
gcc build log -- qemu-2.4
Comment 12 Michael Jones 2016-02-01 07:22:59 UTC
Looks like qemu 2.4 is at least able to do the configure.
Comment 13 Felix Janda 2016-02-03 17:48:01 UTC
It might have succeeded with MAKEOPTS=-j1.

Anyway, it would be interesting to see what exactly is segfaulting.
That should be easier to find out for qemu-2.5 since the segfault
occurs early in the configure process when using it. Could you try
running 'sh -v ./configure' and post the last few lines?
Comment 14 Michael Jones 2016-02-03 18:05:46 UTC
  missing_languages=`echo ",$enable_languages," | sed -e s/,all,/,/ -e s/,c,/,/ `
  potential_languages=,c,

  enabled_target_libs=
  disabled_target_libs=

  for lang_frag in ${srcdir}/gcc/*/config-lang.in .. ; do
    case ${lang_frag} in
      ..) ;;
      # The odd quoting in the next line works around
      # an apparent bug in bash 1.12 on linux.
      ${srcdir}/gcc/[*]/config-lang.in) ;;
      *)
        # From the config-lang.in, get $language, $target_libs,
        # $lang_dirs, $boot_language, and $build_by_default
        language=
        target_libs=
        lang_dirs=
        subdir_requires=
        boot_language=no
        build_by_default=yes
        . ${lang_frag}
        if test x${language} = x; then
          echo "${lang_frag} doesn't set \$language." 1>&2
          exit 1
        fi

        if test "$language" = "c++"; then
          boot_language=yes
        fi

        add_this_lang=no
        case ,${enable_languages}, in
          *,${language},*)
            # Language was explicitly selected; include it
            # unless it is C, which is enabled by default.
            if test "$language" != "c"; then
              add_this_lang=yes
            fi
            ;;
          *,all,*)
            # 'all' was selected, select it if it is a default language
            if test "$language" != "c"; then
              add_this_lang=${build_by_default}
            fi
            ;;
        esac

        # Disable languages that need other directories if these aren't available.
        for i in $subdir_requires; do
          test -f "$srcdir/gcc/$i/config-lang.in" && continue
          case ,${enable_languages}, in
            *,${language},*)
              # Specifically requested language; tell them.
              as_fn_error "The gcc/$i directory contains parts of $language but is missing" "$LINENO" 5
              ;;
            *)
              # Silently disable.
              add_this_lang=unsupported
              ;;
          esac
        done

        # Disable Ada if no preexisting GNAT is available.
        case ,${enable_languages},:${language}:${have_gnat} in
          *,${language},*:ada:no)
            # Specifically requested language; tell them.
            as_fn_error "GNAT is required to build $language" "$LINENO" 5
            ;;
          *:ada:no)
            # Silently disable.
            add_this_lang=unsupported
            ;;
        esac

        # Disable a language that is unsupported by the target.
        case " $unsupported_languages " in
          *" $language "*)
            add_this_lang=unsupported
            ;;
        esac

        case $add_this_lang in
          unsupported)
            # Remove language-dependent dirs.
            disabled_target_libs="$disabled_target_libs $target_libs"
            noconfigdirs="$noconfigdirs $lang_dirs"
            ;;
          no)
            # Remove language-dependent dirs; still show language as supported.
            disabled_target_libs="$disabled_target_libs $target_libs"
            noconfigdirs="$noconfigdirs $lang_dirs"
            potential_languages="${potential_languages}${language},"
            ;;
          yes)
            new_enable_languages="${new_enable_languages}${language},"
            potential_languages="${potential_languages}${language},"
            missing_languages=`echo "$missing_languages" | sed "s/,$language,/,/"`
            enabled_target_libs="$enabled_target_libs $target_libs"
            case "${boot_language}:,$enable_stage1_languages," in
              yes:* | *:*,$language,* | *:*,yes, | *:*,all,)
                # Add to (comma-separated) list of stage 1 languages.
                case ",$stage1_languages," in
                  *,$language,* | ,yes, | ,all,) ;;
                  *) stage1_languages="${stage1_languages}${language}," ;;
                esac
                # We need to bootstrap any supporting libraries.
                bootstrap_target_libs="${bootstrap_target_libs}${target_libs},"
                ;;
            esac
            ;;
        esac
        ;;
    esac
  done

  # Add target libraries which are only needed for disabled languages
  # to noconfigdirs.
  if test -n "$disabled_target_libs"; then
    for dir in $disabled_target_libs; do
      case " $enabled_target_libs " in
      *" ${dir} "*) ;;
      *) noconfigdirs="$noconfigdirs $dir" ;;
      esac
    done
  fi

  # Check whether --enable-stage1-languages was given.
if test "${enable_stage1_languages+set}" = set; then :
  enableval=$enable_stage1_languages; case ,${enable_stage1_languages}, in
    ,no,|,,)
      # Set it to something that will have no effect in the loop below
      enable_stage1_languages=c ;;
    ,yes,)
      enable_stage1_languages=`echo $new_enable_languages | \
        sed -e "s/^,//" -e "s/,$//" ` ;;
    *,all,*)
      enable_stage1_languages=`echo ,$enable_stage1_languages, | \
        sed -e "s/,all,/$new_enable_languages/" -e "s/^,//" -e "s/,$//" ` ;;
  esac

  # Add "good" languages from enable_stage1_languages to stage1_languages,
  # while "bad" languages go in missing_languages.  Leave no duplicates.
  for i in `echo $enable_stage1_languages | sed 's/,/ /g' `; do
    case $potential_languages in
      *,$i,*)
        case $stage1_languages in
          *,$i,*) ;;
          *) stage1_languages="$stage1_languages$i," ;;
        esac ;;
      *)
        case $missing_languages in
          *,$i,*) ;;
          *) missing_languages="$missing_languages$i," ;;
        esac ;;
     esac
  done
fi


  # Remove leading/trailing commas that were added for simplicity
  potential_languages=`echo "$potential_languages" | sed -e "s/^,//" -e "s/,$//"`
  missing_languages=`echo "$missing_languages" | sed -e "s/^,//" -e "s/,$//"`
  stage1_languages=`echo "$stage1_languages" | sed -e "s/^,//" -e "s/,$//"`
  new_enable_languages=`echo "$new_enable_languages" | sed -e "s/^,//" -e "s/,$//"`

  if test "x$missing_languages" != x; then
    as_fn_error "
The following requested languages could not be built: ${missing_languages}
Supported languages are: ${potential_languages}" "$LINENO" 5
  fi
  if test "x$new_enable_languages" != "x$enable_languages"; then
    echo The following languages will be built: ${new_enable_languages}
    enable_languages="$new_enable_languages"
  fi


  ac_configure_args=`echo " $ac_configure_args" | sed -e "s/ '--enable-languages=[^ ]*'//g" -e "s/$/ '--enable-languages="$enable_languages"'/" `
fi
echo "${enable_languages}" | sed -e 's/[        ,][     ,]*/,/g' -e 's/,$//'
exit_status=$?
  # Save into config.log some information that might help in debugging.
  {
    echo

    cat <<\_ASBOX
## ---------------- ##
## Cache variables. ##
## ---------------- ##
_ASBOX
    echo
    # The following way of writing the cache mishandles newlines in values,
(
  for ac_var in `(set) 2>&1 | sed -n 's/^\([a-zA-Z_][a-zA-Z0-9_]*\)=.*/\1/p'`; do
    eval ac_val=\$$ac_var
    case $ac_val in #(
    *${as_nl}*)
      case $ac_var in #(
      *_cv_*) { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: cache variable $ac_var contains a newline" >&5
$as_echo "$as_me: WARNING: cache variable $ac_var contains a newline" >&2;} ;;
      esac
      case $ac_var in #(
      _ | IFS | as_nl) ;; #(
      BASH_ARGV | BASH_SOURCE) eval $ac_var= ;; #(
      *) { eval $ac_var=; unset $ac_var;} ;;
      esac ;;
    esac
  done
  (set) 2>&1 |
    case $as_nl`(ac_space=' '; set) 2>&1` in #(
    *${as_nl}ac_space=\ *)
      sed -n \
        "s/'/'\\\\''/g;
          s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\\2'/p"
      ;; #(
    *)
      sed -n "/^[_$as_cr_alnum]*_cv_[_$as_cr_alnum]*=/p"
      ;;
    esac |
    sort
)
    echo

    cat <<\_ASBOX
Comment 15 Michael Jones 2016-02-03 18:06:24 UTC
## ----------------- ##
## Output variables. ##
## ----------------- ##
_ASBOX
    echo
    for ac_var in $ac_subst_vars
    do
      eval ac_val=\$$ac_var
      case $ac_val in
      *\'*) ac_val=`$as_echo "$ac_val" | sed "s/'/'\\\\\\\\''/g"`;;
      esac
      $as_echo "$ac_var='$ac_val'"
    done | sort
    echo

    if test -n "$ac_subst_files"; then
      cat <<\_ASBOX
## ------------------- ##
## File substitutions. ##
## ------------------- ##
_ASBOX
      echo
      for ac_var in $ac_subst_files
      do
        eval ac_val=\$$ac_var
        case $ac_val in
        *\'*) ac_val=`$as_echo "$ac_val" | sed "s/'/'\\\\\\\\''/g"`;;
        esac
        $as_echo "$ac_var='$ac_val'"
      done | sort
      echo
    fi

    if test -s confdefs.h; then
      cat <<\_ASBOX
## ----------- ##
## confdefs.h. ##
## ----------- ##
_ASBOX
      echo
      cat confdefs.h
      echo
    fi
    test "$ac_signal" != 0 &&
      $as_echo "$as_me: caught signal $ac_signal"
    $as_echo "$as_me: exit $exit_status"
  } >&5
(set) 2>&1 | sed -n 's/^\([a-zA-Z_][a-zA-Z0-9_]*\)=.*/\1/p'
ac_val=$AR_FOR_BUILD
ac_val=$AS_FOR_BUILD
ac_val=$AWK
ac_val=$BASH
ac_val=$BASHOPTS
ac_val=$BASH_ALIASES
ac_val=$BASH_ARGC
ac_val=$BASH_ARGV
ac_val=$BASH_CMDS
ac_val=$BASH_LINENO
ac_val=$BASH_SOURCE
ac_val=$BASH_VERSINFO
ac_val=$BASH_VERSION
ac_val=$CC
ac_val=$CC_FOR_BUILD
ac_val=$CFLAGS
ac_val=$CXX
ac_val=$CXXFLAGS
ac_val=$CXX_FOR_BUILD
ac_val=$DIRSTACK
ac_val=$DLLTOOL_FOR_BUILD
ac_val=$DUALCASE
ac_val=$ECHO_C
ac_val=$ECHO_N
ac_val=$ECHO_T
ac_val=$ENABLE_GOLD
ac_val=$ENABLE_ISL_CHECK
ac_val=$ENABLE_LD
ac_val=$ENABLE_LIBADA
ac_val=$ENABLE_LIBQUADMATH
ac_val=$ENABLE_LIBQUADMATH_SUPPORT
ac_val=$ENABLE_LIBSSP
ac_val=$ENABLE_LIBSTDCXX
ac_val=$ENABLE_STATIC_LIBJAVA
ac_val=$EUID
ac_val=$EXEEXT
ac_val=$EXTRA_CONFIGARGS_LIBJAVA
ac_val=$GCC
ac_val=$GCJ_FOR_BUILD
ac_val=$GFORTRAN_FOR_BUILD
ac_val=$GNATBIND
ac_val=$GNATMAKE
ac_val=$GOC_FOR_BUILD
ac_val=$GROUPS
ac_val=$GXX
ac_val=$HOME
ac_val=$HOSTNAME
ac_val=$HOSTTYPE
ac_val=$IFS
ac_val=$INSTALL
ac_val=$INSTALL_DATA
ac_val=$INSTALL_PROGRAM
ac_val=$INSTALL_SCRIPT
Comment 16 Michael Jones 2016-02-03 18:06:42 UTC
ac_val=$LANGUAGE
ac_val=$LC_ALL
ac_val=$LD
ac_val=$LDFLAGS
ac_val=$LD_FOR_BUILD
ac_val=$LIBOBJS
ac_val=$LIBS
ac_val=$LINENO
ac_val=$LN
ac_val=$LN_S
ac_val=$LOGNAME
ac_val=$LS_COLORS
ac_val=$MACHTYPE
ac_val=$MAKEFLAGS
ac_val=$MFLAGS
ac_val=$NM_FOR_BUILD
ac_val=$OBJEXT
ac_val=$OPTERR
ac_val=$OPTIND
ac_val=$OSTYPE
ac_val=$PACKAGE_BUGREPORT
ac_val=$PACKAGE_NAME
ac_val=$PACKAGE_STRING
ac_val=$PACKAGE_TARNAME
ac_val=$PACKAGE_URL
ac_val=$PACKAGE_VERSION
ac_val=$PATH
ac_val=$PATH_SEPARATOR
ac_val=$PIPESTATUS
ac_val=$POSIXLY_CORRECT
ac_val=$PPID
ac_val=$PS1
ac_val=$PS2
ac_val=$PS4
ac_val=$PWD
ac_val=$RANLIB_FOR_BUILD
ac_val=$SED
ac_val=$SHELL
ac_val=$SHELLOPTS
ac_val=$SHLVL
ac_val=$TERM
ac_val=$TOPLEVEL_CONFIGURE_ARGUMENTS
ac_val=$UID
ac_val=$USER
ac_val=$WINDMC_FOR_BUILD
ac_val=$WINDRES_FOR_BUILD
ac_val=$_
ac_val=$_isl_saved_CFLAGS
ac_val=$_isl_saved_LDFLAGS
ac_val=$_isl_saved_LIBS
ac_val=$ac_abs_confdir
ac_val=$ac_arg
ac_val=$ac_aux_dir
ac_val=$ac_build_alias
ac_val=$ac_c_werror_flag
ac_val=$ac_cache_corrupted
ac_val=$ac_clean_files
ac_val=$ac_clean_files_save
ac_val=$ac_compile
ac_val=$ac_compiler
ac_val=$ac_compiler_gnu
ac_val=$ac_confdir
ac_val=$ac_config_guess
ac_val=$ac_config_libobj_dir
ac_val=$ac_config_sub
ac_val=$ac_configure
ac_val=$ac_configure_args
ac_val=$ac_cpp
ac_val=$ac_ct_CC
ac_val=$ac_ct_CXX
ac_val=$ac_ct_GNATBIND
ac_val=$ac_ct_GNATMAKE
ac_val=$ac_cv_build
ac_val=$ac_cv_c_compiler_gnu
ac_val=$ac_cv_cxx_compiler_gnu
ac_val=$ac_cv_env_AR_FOR_TARGET_set
ac_val=$ac_cv_env_AR_FOR_TARGET_value
ac_val=$ac_cv_env_AR_set
ac_val=$ac_cv_env_AR_value
ac_val=$ac_cv_env_AS_FOR_TARGET_set
ac_val=$ac_cv_env_AS_FOR_TARGET_value
ac_val=$ac_cv_env_AS_set
ac_val=$ac_cv_env_AS_value
ac_val=$ac_cv_env_CCC_set
ac_val=$ac_cv_env_CCC_value
ac_val=$ac_cv_env_CC_FOR_TARGET_set
ac_val=$ac_cv_env_CC_FOR_TARGET_value
ac_val=$ac_cv_env_CC_set
ac_val=$ac_cv_env_CC_value
ac_val=$ac_cv_env_CFLAGS_set
ac_val=$ac_cv_env_CFLAGS_value
ac_val=$ac_cv_env_CPPFLAGS_set
ac_val=$ac_cv_env_CPPFLAGS_value
ac_val=$ac_cv_env_CXXFLAGS_set
ac_val=$ac_cv_env_CXXFLAGS_value
ac_val=$ac_cv_env_CXX_FOR_TARGET_set
ac_val=$ac_cv_env_CXX_FOR_TARGET_value
ac_val=$ac_cv_env_CXX_set
ac_val=$ac_cv_env_CXX_value
ac_val=$ac_cv_env_DLLTOOL_FOR_TARGET_set
ac_val=$ac_cv_env_DLLTOOL_FOR_TARGET_value
ac_val=$ac_cv_env_DLLTOOL_set
ac_val=$ac_cv_env_DLLTOOL_value
ac_val=$ac_cv_env_GCC_FOR_TARGET_set
ac_val=$ac_cv_env_GCC_FOR_TARGET_value
ac_val=$ac_cv_env_GCJ_FOR_TARGET_set
ac_val=$ac_cv_env_GCJ_FOR_TARGET_value
ac_val=$ac_cv_env_GFORTRAN_FOR_TARGET_set
ac_val=$ac_cv_env_GFORTRAN_FOR_TARGET_value
ac_val=$ac_cv_env_GOC_FOR_TARGET_set
ac_val=$ac_cv_env_GOC_FOR_TARGET_value
ac_val=$ac_cv_env_LDFLAGS_set
ac_val=$ac_cv_env_LDFLAGS_value
ac_val=$ac_cv_env_LD_FOR_TARGET_set
ac_val=$ac_cv_env_LD_FOR_TARGET_value
ac_val=$ac_cv_env_LD_set
ac_val=$ac_cv_env_LD_value
ac_val=$ac_cv_env_LIBS_set
ac_val=$ac_cv_env_LIBS_value
ac_val=$ac_cv_env_LIPO_FOR_TARGET_set
ac_val=$ac_cv_env_LIPO_FOR_TARGET_value
ac_val=$ac_cv_env_LIPO_set
ac_val=$ac_cv_env_LIPO_value
ac_val=$ac_cv_env_NM_FOR_TARGET_set
ac_val=$ac_cv_env_NM_FOR_TARGET_value
ac_val=$ac_cv_env_NM_set
ac_val=$ac_cv_env_NM_value
ac_val=$ac_cv_env_OBJCOPY_set
ac_val=$ac_cv_env_OBJCOPY_value
ac_val=$ac_cv_env_OBJDUMP_FOR_TARGET_set
ac_val=$ac_cv_env_OBJDUMP_FOR_TARGET_value
ac_val=$ac_cv_env_OBJDUMP_set
ac_val=$ac_cv_env_OBJDUMP_value
ac_val=$ac_cv_env_RANLIB_FOR_TARGET_set
ac_val=$ac_cv_env_RANLIB_FOR_TARGET_value
ac_val=$ac_cv_env_RANLIB_set
ac_val=$ac_cv_env_RANLIB_value
ac_val=$ac_cv_env_READELF_FOR_TARGET_set
ac_val=$ac_cv_env_READELF_FOR_TARGET_value
ac_val=$ac_cv_env_READELF_set
ac_val=$ac_cv_env_READELF_value
ac_val=$ac_cv_env_STRIP_FOR_TARGET_set
ac_val=$ac_cv_env_STRIP_FOR_TARGET_value
ac_val=$ac_cv_env_STRIP_set
ac_val=$ac_cv_env_STRIP_value
ac_val=$ac_cv_env_WINDMC_FOR_TARGET_set
ac_val=$ac_cv_env_WINDMC_FOR_TARGET_value
ac_val=$ac_cv_env_WINDMC_set
ac_val=$ac_cv_env_WINDMC_value
ac_val=$ac_cv_env_WINDRES_FOR_TARGET_set
ac_val=$ac_cv_env_WINDRES_FOR_TARGET_value
ac_val=$ac_cv_env_WINDRES_set
ac_val=$ac_cv_env_WINDRES_value
ac_val=$ac_cv_env_build_alias_set
ac_val=$ac_cv_env_build_alias_value
ac_val=$ac_cv_env_build_configargs_set
ac_val=$ac_cv_env_build_configargs_value
ac_val=$ac_cv_env_host_alias_set
ac_val=$ac_cv_env_host_alias_value
ac_val=$ac_cv_env_host_configargs_set
ac_val=$ac_cv_env_host_configargs_value
ac_val=$ac_cv_env_target_alias_set
ac_val=$ac_cv_env_target_alias_value
ac_val=$ac_cv_env_target_configargs_set
ac_val=$ac_cv_env_target_configargs_value
ac_val=$ac_cv_host
ac_val=$ac_cv_objext
ac_val=$ac_cv_path_SED
ac_val=$ac_cv_path_install
ac_val=$ac_cv_prog_AWK
ac_val=$ac_cv_prog_ac_ct_CC
ac_val=$ac_cv_prog_ac_ct_CXX
ac_val=$ac_cv_prog_cc_c89
ac_val=$ac_cv_prog_cc_g
ac_val=$ac_cv_prog_cxx_g
ac_val=$ac_cv_target
ac_val=$ac_cxx_werror_flag
ac_val=$ac_dashdash
ac_val=$ac_default_prefix
ac_val=$ac_dir
ac_val=$ac_env_AR_FOR_TARGET_set
ac_val=$ac_env_AR_FOR_TARGET_value
ac_val=$ac_env_AR_set
ac_val=$ac_env_AR_value
ac_val=$ac_env_AS_FOR_TARGET_set
ac_val=$ac_env_AS_FOR_TARGET_value
ac_val=$ac_env_AS_set
ac_val=$ac_env_AS_value
ac_val=$ac_env_CCC_set
ac_val=$ac_env_CCC_value
ac_val=$ac_env_CC_FOR_TARGET_set
ac_val=$ac_env_CC_FOR_TARGET_value
ac_val=$ac_env_CC_set
ac_val=$ac_env_CC_value
ac_val=$ac_env_CFLAGS_set
ac_val=$ac_env_CFLAGS_value
ac_val=$ac_env_CPPFLAGS_set
ac_val=$ac_env_CPPFLAGS_value
ac_val=$ac_env_CXXFLAGS_set
ac_val=$ac_env_CXXFLAGS_value
ac_val=$ac_env_CXX_FOR_TARGET_set
ac_val=$ac_env_CXX_FOR_TARGET_value
ac_val=$ac_env_CXX_set
ac_val=$ac_env_CXX_value
ac_val=$ac_env_DLLTOOL_FOR_TARGET_set
ac_val=$ac_env_DLLTOOL_FOR_TARGET_value
ac_val=$ac_env_DLLTOOL_set
ac_val=$ac_env_DLLTOOL_value
ac_val=$ac_env_GCC_FOR_TARGET_set
ac_val=$ac_env_GCC_FOR_TARGET_value
ac_val=$ac_env_GCJ_FOR_TARGET_set
ac_val=$ac_env_GCJ_FOR_TARGET_value
ac_val=$ac_env_GFORTRAN_FOR_TARGET_set
ac_val=$ac_env_GFORTRAN_FOR_TARGET_value
ac_val=$ac_env_GOC_FOR_TARGET_set
ac_val=$ac_env_GOC_FOR_TARGET_value
ac_val=$ac_env_LDFLAGS_set
ac_val=$ac_env_LDFLAGS_value
ac_val=$ac_env_LD_FOR_TARGET_set
ac_val=$ac_env_LD_FOR_TARGET_value
ac_val=$ac_env_LD_set
ac_val=$ac_env_LD_value
ac_val=$ac_env_LIBS_set
ac_val=$ac_env_LIBS_value
ac_val=$ac_env_LIPO_FOR_TARGET_set
ac_val=$ac_env_LIPO_FOR_TARGET_value
ac_val=$ac_env_LIPO_set
ac_val=$ac_env_LIPO_value
ac_val=$ac_env_NM_FOR_TARGET_set
ac_val=$ac_env_NM_FOR_TARGET_value
ac_val=$ac_env_NM_set
ac_val=$ac_env_NM_value
ac_val=$ac_env_OBJCOPY_set
ac_val=$ac_env_OBJCOPY_value
ac_val=$ac_env_OBJDUMP_FOR_TARGET_set
ac_val=$ac_env_OBJDUMP_FOR_TARGET_value
ac_val=$ac_env_OBJDUMP_set
ac_val=$ac_env_OBJDUMP_value
ac_val=$ac_env_RANLIB_FOR_TARGET_set
ac_val=$ac_env_RANLIB_FOR_TARGET_value
ac_val=$ac_env_RANLIB_set
ac_val=$ac_env_RANLIB_value
ac_val=$ac_env_READELF_FOR_TARGET_set
ac_val=$ac_env_READELF_FOR_TARGET_value
ac_val=$ac_env_READELF_set
ac_val=$ac_env_READELF_value
ac_val=$ac_env_STRIP_FOR_TARGET_set
ac_val=$ac_env_STRIP_FOR_TARGET_value
ac_val=$ac_env_STRIP_set
ac_val=$ac_env_STRIP_value
ac_val=$ac_env_WINDMC_FOR_TARGET_set
ac_val=$ac_env_WINDMC_FOR_TARGET_value
ac_val=$ac_env_WINDMC_set
ac_val=$ac_env_WINDMC_value
ac_val=$ac_env_WINDRES_FOR_TARGET_set
ac_val=$ac_env_WINDRES_FOR_TARGET_value
ac_val=$ac_env_WINDRES_set
ac_val=$ac_env_WINDRES_value
ac_val=$ac_env_build_alias_set
ac_val=$ac_env_build_alias_value
ac_val=$ac_env_build_configargs_set
ac_val=$ac_env_build_configargs_value
ac_val=$ac_env_host_alias_set
ac_val=$ac_env_host_alias_value
ac_val=$ac_env_host_configargs_set
ac_val=$ac_env_host_configargs_value
ac_val=$ac_env_target_alias_set
ac_val=$ac_env_target_alias_value
ac_val=$ac_env_target_configargs_set
ac_val=$ac_env_target_configargs_value
ac_val=$ac_exec_ext
ac_val=$ac_exeext
ac_val=$ac_ext
ac_val=$ac_file
ac_val=$ac_files
ac_val=$ac_hostname
ac_val=$ac_i
ac_val=$ac_init_help
ac_val=$ac_init_version
ac_val=$ac_install_sh
ac_val=$ac_link
ac_val=$ac_link_default
ac_val=$ac_ls_di
ac_val=$ac_msg
ac_val=$ac_must_keep_next
ac_val=$ac_new_set
ac_val=$ac_new_val
ac_val=$ac_objext
ac_val=$ac_old_set
ac_val=$ac_old_val
ac_val=$ac_option
ac_val=$ac_pass
ac_val=$ac_path_SED
ac_val=$ac_path_SED_found
ac_val=$ac_precious_vars
ac_precious_vars=
ac_val=$ac_prev
ac_val=$ac_prog
ac_val=$ac_pwd
ac_val=$ac_pwd_ls_di
ac_val=$ac_retval
ac_val=$ac_rmfiles
ac_val=$ac_save_CC
ac_val=$ac_save_CFLAGS
ac_val=$ac_save_CXXFLAGS
ac_val=$ac_save_IFS
ac_save_IFS=
ac_val=$ac_save_c_werror_flag
ac_val=$ac_save_cxx_werror_flag
ac_val=$ac_signal
ac_val=$ac_site_file
ac_val=$ac_site_file1
ac_val=$ac_site_file2
ac_val=$ac_srcdir_defaulted
ac_val=$ac_status
ac_val=$ac_subdirs_all
ac_val=$ac_subst_files
ac_subst_files=
ac_val=$ac_subst_vars
ac_subst_vars=
ac_val=$ac_t
ac_val=$ac_test_CFLAGS
ac_val=$ac_test_CXXFLAGS
ac_val=$ac_tool_prefix
ac_val=$ac_try
ac_val=$ac_try_echo
ac_val=$ac_unique_file
ac_val=$ac_unrecognized_opts
ac_val=$ac_unrecognized_sep
ac_val=$ac_user_opts
ac_user_opts=
ac_val=$ac_val
ac_val=
ac_val=$ac_var
ac_val=$ac_word
ac_val=$acx_cv_cc_gcc_supports_ada
ac_val=$acx_cv_prog_LN
ac_val=$appdirs
ac_val=$as_basename
ac_val=$as_bourne_compatible
as_bourne_compatible=
ac_val=$as_cr_LETTERS
ac_val=$as_cr_Letters
ac_val=$as_cr_alnum
ac_val=$as_cr_digits
ac_val=$as_cr_letters
ac_val=$as_dir
ac_val=$as_dirname
ac_val=$as_echo
ac_val=$as_echo_n
ac_val=$as_executable_p
ac_val=$as_expr
ac_val=$as_have_required
ac_val=$as_lineno_1
ac_val=$as_lineno_1a
ac_val=$as_lineno_2
ac_val=$as_lineno_2a
ac_val=$as_lineno_stack
ac_val=$as_ln_s
ac_val=$as_me
ac_val=$as_mkdir_p
ac_val=$as_myself
ac_val=$as_nl
ac_val=$as_required
as_required=
ac_val=$exitcode
ac_val=$as_save_IFS
as_save_IFS=
ac_val=$as_suggested
as_suggested=
ac_val=$as_test_x
ac_val=$as_tr_cpp
ac_val=$as_tr_sh
ac_val=$as_unset
ac_val=$as_var
ac_val=$bindir
ac_val=$bootstrap_target_libs
ac_val=$build
ac_val=$build_configdirs
ac_val=$build_cpu
ac_val=$build_libs
ac_val=$build_libsubdir
ac_val=$build_lto_plugin
ac_val=$build_noncanonical
ac_val=$build_os
ac_val=$build_subdir
ac_val=$build_tools
ac_val=$build_vendor
ac_val=$cache_file
ac_val=$clooginc
ac_val=$clooglibs
ac_val=$configdirs
ac_val=$container
ac_val=$cross_compiling
ac_val=$cross_only
ac_val=$datadir
ac_val=$datarootdir
ac_val=$default_enable_lto
ac_val=$default_ld
ac_val=$do_compare
ac_val=$docdir
ac_val=$dvidir
ac_val=$enable_bootstrap
ac_val=$enable_languages
ac_val=$enable_libquadmath_support
ac_val=$enable_lto
ac_val=$enable_option_checking
ac_val=$enable_static_libjava
ac_val=$errors
errors=
ac_val=$exec_prefix
ac_val=$exit_status
ac_val=$extra_host_args
ac_val=$gcc_cv_isl
ac_val=$gcc_cv_prog_cmp_skip
ac_val=$gcc_prog_ld
ac_val=$gmpinc
ac_val=$gmplibs
ac_val=$graphite_requested
ac_val=$have_compiler
ac_val=$have_gmp
ac_val=$have_gnat
ac_val=$have_static_libs
ac_val=$host
ac_val=$host_cpu
ac_val=$host_libs
ac_val=$host_makefile_frag
ac_val=$host_noncanonical
ac_val=$host_os
ac_val=$host_subdir
ac_val=$host_tools
ac_val=$host_vendor
ac_val=$htmldir
ac_val=$includedir
ac_val=$infodir
ac_val=$is_cross_compiler
ac_val=$islinc
ac_val=$isllibs
ac_val=$libdir
ac_val=$libexecdir
ac_val=$libgcj
ac_val=$libgcj_saved
ac_val=$libgloss_dir
ac_val=$localedir
ac_val=$localstatedir
ac_val=$lt_cv_objdir
ac_val=$mandir
ac_val=$no_create
ac_val=$no_recursion
ac_val=$noconfigdirs
ac_val=$objdir
ac_val=$oldincludedir
ac_val=$pdfdir
ac_val=$poststage1_ldflags
ac_val=$poststage1_libs
ac_val=$prefix
ac_val=$progname
ac_val=$program_prefix
ac_val=$program_suffix
ac_val=$program_transform_name
ac_val=$psdir
ac_val=$pwd
ac_val=$saved_CFLAGS
ac_val=$saved_LDFLAGS
ac_val=$saved_LIBS
ac_val=$sbindir
ac_val=$sharedstatedir
ac_val=$silent
ac_val=$site
ac_val=$skipdirs
ac_val=$srcdir
ac_val=$srcname
ac_val=$srcpwd
ac_val=$stage1_languages
ac_val=$stage1_ldflags
ac_val=$stage1_libs
ac_val=$subdirs
ac_val=$sysconfdir
ac_val=$target
ac_val=$target_configdirs
ac_val=$target_cpu
ac_val=$target_elf
ac_val=$target_libraries
ac_val=$target_noncanonical
ac_val=$target_os
ac_val=$target_subdir
ac_val=$target_tools
ac_val=$target_vendor
ac_val=$topsrcdir
ac_val=$unsupported_languages
ac_val=$use_gnu_as
ac_val=$use_gnu_ld
ac_val=$use_included_zlib
ac_val=$verbose
ac_val=$x_includes
ac_val=$x_libraries
(ac_space=' '; set) 2>&1
ac_val=$LTLIBOBJS
ac_val=$LIBOBJS
ac_val=$compare_exclusions
ac_val=$host_shared
ac_val=$stage2_werror_flag
ac_val=$stage1_checking
ac_val=$stage1_cflags
ac_val=$MAINT
ac_val=$MAINTAINER_MODE_FALSE
ac_val=$MAINTAINER_MODE_TRUE
ac_val=$COMPILER_NM_FOR_TARGET
ac_val=$COMPILER_LD_FOR_TARGET
ac_val=$COMPILER_AS_FOR_TARGET
ac_val=$FLAGS_FOR_TARGET
ac_val=$RAW_CXX_FOR_TARGET
ac_val=$WINDMC_FOR_TARGET
ac_val=$WINDRES_FOR_TARGET
ac_val=$STRIP_FOR_TARGET
ac_val=$READELF_FOR_TARGET
ac_val=$RANLIB_FOR_TARGET
ac_val=$OBJDUMP_FOR_TARGET
ac_val=$NM_FOR_TARGET
ac_val=$LIPO_FOR_TARGET
ac_val=$LD_FOR_TARGET
ac_val=$DLLTOOL_FOR_TARGET
ac_val=$AS_FOR_TARGET
ac_val=$AR_FOR_TARGET
ac_val=$GOC_FOR_TARGET
ac_val=$GFORTRAN_FOR_TARGET
ac_val=$GCJ_FOR_TARGET
ac_val=$GCC_FOR_TARGET
ac_val=$CXX_FOR_TARGET
ac_val=$CC_FOR_TARGET
ac_val=$READELF
ac_val=$OBJDUMP
ac_val=$OBJCOPY
ac_val=$WINDMC
ac_val=$WINDRES
ac_val=$STRIP
ac_val=$RANLIB
ac_val=$NM
ac_val=$LIPO
ac_val=$LD
ac_val=$DLLTOOL
ac_val=$AS
ac_val=$AR
ac_val=$RUNTEST
ac_val=$EXPECT
ac_val=$MAKEINFO
ac_val=$FLEX
ac_val=$LEX
ac_val=$M4
ac_val=$BISON
ac_val=$YACC
ac_val=$WINDRES_FOR_BUILD
ac_val=$WINDMC_FOR_BUILD
ac_val=$RANLIB_FOR_BUILD
ac_val=$NM_FOR_BUILD
ac_val=$LD_FOR_BUILD
ac_val=$LDFLAGS_FOR_BUILD
ac_val=$GOC_FOR_BUILD
ac_val=$GFORTRAN_FOR_BUILD
ac_val=$GCJ_FOR_BUILD
ac_val=$DLLTOOL_FOR_BUILD
ac_val=$CXX_FOR_BUILD
ac_val=$CXXFLAGS_FOR_BUILD
ac_val=$CFLAGS_FOR_BUILD
ac_val=$CC_FOR_BUILD
ac_val=$AS_FOR_BUILD
ac_val=$AR_FOR_BUILD
ac_val=$target_configdirs
ac_val=$configdirs
ac_val=$build_configdirs
ac_val=$INSTALL_GDB_TK
ac_val=$GDB_TK
ac_val=$CONFIGURE_GDB_TK
ac_val=$build_tooldir
ac_val=$tooldir
ac_val=$GCC_SHLIB_SUBDIR
ac_val=$RPATH_ENVVAR
ac_val=$target_configargs
ac_val=$host_configargs
ac_val=$build_configargs
ac_val=$BUILD_CONFIG
ac_val=$LDFLAGS_FOR_TARGET
ac_val=$CXXFLAGS_FOR_TARGET
ac_val=$CFLAGS_FOR_TARGET
ac_val=$DEBUG_PREFIX_CFLAGS_FOR_TARGET
ac_val=$SYSROOT_CFLAGS_FOR_TARGET
ac_val=$stage1_languages
ac_val=$extra_host_libiberty_configure_flags
ac_val=$clooginc
ac_val=$clooglibs
ac_val=$islinc
ac_val=$poststage1_ldflags
ac_val=$poststage1_libs
ac_val=$stage1_ldflags
ac_val=$stage1_libs
ac_val=$extra_isl_gmp_configure_flags
ac_val=$extra_mpc_mpfr_configure_flags
ac_val=$extra_mpc_gmp_configure_flags
ac_val=$extra_mpfr_configure_flags
ac_val=$gmpinc
ac_val=$gmplibs
ac_val=$do_compare
ac_val=$GNATMAKE
ac_val=$GNATBIND
ac_val=$ac_ct_CXX
ac_val=$CXXFLAGS
ac_val=$CXX
ac_val=$OBJEXT
ac_val=$EXEEXT
ac_val=$ac_ct_CC
ac_val=$CPPFLAGS
ac_val=$LDFLAGS
ac_val=$CFLAGS
ac_val=$CC
ac_val=$EXTRA_CONFIGARGS_LIBJAVA
ac_val=$target_subdir
ac_val=$host_subdir
ac_val=$build_subdir
ac_val=$build_libsubdir
ac_val=$AWK
ac_val=$SED
ac_val=$LN_S
ac_val=$LN
ac_val=$INSTALL_DATA
ac_val=$INSTALL_SCRIPT
ac_val=$INSTALL_PROGRAM
ac_val=$target_os
ac_val=$target_vendor
ac_val=$target_cpu
ac_val=$target
ac_val=$host_os
ac_val=$host_vendor
ac_val=$host_cpu
ac_val=$host
ac_val=$target_noncanonical
ac_val=$host_noncanonical
ac_val=$build_noncanonical
ac_val=$build_os
ac_val=$build_vendor
ac_val=$build_cpu
ac_val=$build
ac_val=$TOPLEVEL_CONFIGURE_ARGUMENTS
ac_val=$target_alias
ac_val=$host_alias
ac_val=$build_alias
ac_val=$LIBS
ac_val=$ECHO_T
ac_val=$ECHO_N
ac_val=$ECHO_C
ac_val=$DEFS
ac_val=$mandir
ac_val=$localedir
ac_val=$libdir
ac_val=$psdir
ac_val=$pdfdir
ac_val=$dvidir
ac_val=$htmldir
ac_val=$infodir
ac_val=$docdir
ac_val=$oldincludedir
ac_val=$includedir
ac_val=$localstatedir
ac_val=$sharedstatedir
ac_val=$sysconfdir
ac_val=$datadir
ac_val=$datarootdir
ac_val=$libexecdir
ac_val=$sbindir
ac_val=$bindir
ac_val=$program_transform_name
ac_val=$prefix
ac_val=$exec_prefix
ac_val=$PACKAGE_URL
ac_val=$PACKAGE_BUGREPORT
ac_val=$PACKAGE_STRING
ac_val=$PACKAGE_VERSION
ac_val=$PACKAGE_TARNAME
ac_val=$PACKAGE_NAME
ac_val=$PATH_SEPARATOR
ac_val=$SHELL
ac_val=$serialization_dependencies
ac_val=$host_makefile_frag
ac_val=$target_makefile_frag
ac_val=$alphaieee_frag
ac_val=$ospace_frag
  rm -f core *.core core.conftest.* &&
    rm -f -r conftest* confdefs* conf$$* $ac_clean_files &&
    exit $exit_status
qemu: uncaught target signal 11 (Segmentation fault) - core dumped
Comment 17 Michael Jones 2016-02-03 18:20:01 UTC
Sorry for the spam. The character limit can, sometimes, be a little restrictive :-).

Hopefully that's enough information.

This is with Qemu 2.5, btw.
Comment 18 Felix Janda 2016-02-03 21:08:12 UTC
Thanks.

The log doesn't say much (my bad). The interesting output should be in
config.log. Please post that (as an attachment).
Comment 19 Michael Jones 2016-02-03 21:24:28 UTC
Created attachment 424580 [details]
gcc-4.9.3-r999 config.log
Comment 20 Michael Jones 2016-02-03 21:24:42 UTC
Attached, as requested.
Comment 21 Michael Jones 2016-02-03 21:26:32 UTC
I'd also be happy to provide SSH access to the machine I'm using to do this.

Essentially, the only usage this server sees is compiling various flavors of gentoo for arm boards like the raspberry pi, beaglebone, etc. 

I use systemd-nspawn to actually enter the specific build environments for each board, but I don't run nspawn in such a way that it sets up ip addresses and stuff for each machine. I just use a single terminal session for it. 

Either way, if you're interested in SSH access, let me know
Comment 22 Felix Janda 2016-02-05 09:18:44 UTC
It seems like that the shell itself it segfaulting.

Could you also attach the output from "sh -x configure" starting from
the line "+ stage1_languages=,c,"? To trim the output further, change
line 2112 in configure from "' 0" to "' 99".

SSH access would indeed be very useful. I might contact you before
giving even more obscure instructions.
Comment 23 Michael Jones 2016-02-05 15:18:40 UTC
+ stage1_languages=,c,
+ bootstrap_target_libs=,target-libgcc,
+ test -d ./gcc
+ test x '!=' xset
+ test x = xset
+ enable_languages=all
++ echo all
++ sed -e 's/[  ,][     ,]*/,/g' -e 's/,$//'
+ enable_languages=all
+ case ,${enable_languages}, in
+ case ",$enable_languages,:$enable_bootstrap" in
+ test -f ./gcc/cp/config-lang.in
+ enable_languages=all,c++
qemu: uncaught target signal 11 (Segmentation fault) - core dumped
Comment 24 Michael Jones 2016-02-05 15:23:45 UTC
I created a clone of the environment I'm using for this for you.

You can get in touch with me for ssh access whenever you want.
Comment 25 Anthony Basile gentoo-dev 2016-02-14 01:38:42 UTC
I had to drop all keywords on gcc-4.9.3-r999 because its breaking the stages.

where did the patches for -r999 come from?
Comment 27 Felix Janda 2016-03-03 19:22:45 UTC
@blueness: What kind of problem has the -r999 ebuild caused for the stages?
(Part of the patches is necessary for go-bootstrap.)



The bug experienced by the OP is likely bug 518598 (determined using ssh access).
Comment 28 Anthony Basile gentoo-dev 2016-03-03 21:26:10 UTC
(In reply to Felix Janda from comment #27)
> @blueness: What kind of problem has the -r999 ebuild caused for the stages?
> (Part of the patches is necessary for go-bootstrap.)
> 
> 
> 
> The bug experienced by the OP is likely bug 518598 (determined using ssh
> access).

Try to build a stage3 for i686 and you get issues with  __stack_chk_fail_local.  I didn't trace it down.  Perhaps this can be fixed in conjunction with providing this symbol as alpine does.  I didn't have time to nail it.
Comment 29 tt_1 2018-03-08 21:09:54 UTC
Do we still need this?